Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150889 - A11Y: No Accessible name in "Name the table" dialog
A11Y: No Accessible name in "Name the table" dialog
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Rob Englander
issues@db
65fixes1-verified
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 15:55 UTC by Roman Mostyka
Modified: 2008-12-11 22:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-21 15:55:33 UTC
Results of Accessibility test, window with title "Name the table" (dialog for recreation of the table from grabbed
structure)
No Accessible name :
  Class: javax.swing.JTextArea {  |  } 
  Class: javax.swing.JTextField {  |  }
Comment 1 David Vancouvering 2008-10-28 20:39:54 UTC
I think this is yours - the LabeledTextFieldDialog appears to be the issue.

Also, when I tried to look at this in Design view I got an error saying that the form file appeared to be corrupted and
that therefore the dialog is in read-only mode.

I know you're good at editing form files directly, but I am concerned that for the rest of us mere mortals this is a
maintainability issue.  Is there a way to do what you're doing without breaking the Matisse contract?

Thanks.
Comment 2 Rob Englander 2008-10-28 21:20:55 UTC
The Matisse contract should not have been broken.  I suspect I overlooked something
when I made those edits and accidentally broke something.  I'll fix that while I add
accessible names.
Comment 3 Rob Englander 2008-10-29 21:54:01 UTC
973cea656913
Comment 4 Quality Engineering 2008-10-30 04:58:47 UTC
Integrated into 'main-golden', will be available in build *200810300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/973cea656913
User: Rob Englander <mindstream@netbeans.org>
Log: #150889 Add Accessibility names and fix corrupted matisse entries.
Comment 5 Roman Mostyka 2008-10-30 19:14:43 UTC
Verified with build 081030.
Comment 6 rbalada 2008-11-14 11:17:03 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/973cea656913 into release65_fixes repository as
http://hg.netbeans.org/release65_fixes/rev/1cb17c8fe6ab


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo